GEOS: geos::geom::CoordinateArraySequenceFactory Class Reference

GEOS 3.5.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
geos::geom::CoordinateArraySequenceFactory Class Reference

Creates CoordinateSequences internally represented as an array of Coordinates. More...

`#include <geos.h>`

Inheritance diagram for geos::geom::CoordinateArraySequenceFactory:

## Public Member Functions
CoordinateSequence * | create () const
| Returns an empty CoordinateSequence, the dimensions will be autodetected when it is populated.
CoordinateSequence * | create (std::vector< Coordinate > *coords, std::size_t dims=0) const
| Returns a CoordinateSequence based on the given array. More...
CoordinateSequence * | create (std::size_t size, std::size_t dimension=0) const
CoordinateSequence * | create (const CoordinateSequence &coordSeq) const
| Creates a CoordinateSequence which is a copy of the given one. More...

## Static Public Member Functions
static const CoordinateSequenceFactory * | instance ()
| Returns the singleton instance of CoordinateArraySequenceFactory.

## Detailed Description

Creates CoordinateSequences internally represented as an array of Coordinates.

## Member Function Documentation

CoordinateSequence* geos::geom::CoordinateArraySequenceFactory::create | ( | std::vector< Coordinate > * | coordinates,
|  | std::size_t | dimension = `0`
| ) |  | const
| virtual

Returns a CoordinateSequence based on the given array.

Whether the array is copied or simply referenced is implementation-dependent. For this reason caller does give up ownership of it. Implementations that will not copy it will need take care of deleting it.

This method must handle null arguments by creating an empty sequence.

Parameters

  coordinates | the coordinates
  dimension | 0, 2 or 3 with 0 indicating unknown at this time.

Implements geos::geom::CoordinateSequenceFactory.

CoordinateSequence* geos::geom::CoordinateArraySequenceFactory::create | ( | std::size_t | size,
|  | std::size_t | dimension = `0`
| ) |  | const
| virtual

See also
  CoordinateSequenceFactory::create(std::size_t, int)

Implements geos::geom::CoordinateSequenceFactory.

CoordinateSequence* geos::geom::CoordinateArraySequenceFactory::create | ( | const CoordinateSequence & | coordSeq | ) | const
| virtual

Creates a CoordinateSequence which is a copy of the given one.

This method must handle null arguments by creating an empty sequence.

Parameters

  coordSeq | the coordinate sequence to copy

Implements geos::geom::CoordinateSequenceFactory.

The documentation for this class was generated from the following file:

- CoordinateArraySequenceFactory.h